PHP Manual
Prev |  | Next

# ftp_connect

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

ftp_connect -- Opens an FTP connection

## Description

resource ftp_connect ( string host [, int port [, int timeout]] )

ftp_connect() opens an FTP connection to the specified host.

## Parameters

host

  The FTP server address. This parameter shouldn't have any trailing slashes and shouldn't be prefixed with ftp://.

port

  This parameter specifies an alternate port to connect to. If it is omitted or set to zero, then the default FTP port, 21, will be used.

timeout

  This parameter specifies the timeout for all subsequent network operations. If omitted, the default value is 90 seconds. The timeout can be changed and queried at any time with ftp_set_option() and ftp_get_option().

## Return Values

Returns a FTP stream on success or `FALSE` on error.

## Examples

Example 1. ftp_connect() example
`<?php $ftp_server = "ftp.example.com"; // set up a connection or die $conn_id = ftp_connect($ftp_server) or die("Couldn't connect to $ftp_server"); ?>`

## ChangeLog

Version | Description
--- | ---
4.2.0 | timeout was added.

## See Also

ftp_close()
ftp_ssl_connect()

Prev | Home | Next
ftp_close | Up | ftp_delete